Update a carrier rejecting a load

This request allows the carrier to reject a load.

Rejected loads do not appear in the carrier’s load feed.
A carrier can reject a load if they don't want to participate in the process for the load. Once a load is rejected, the carrier cannot bid on the load or accept the load anymore.

Example

The following example allows a carrier to reject the load to not participate in the bidding.

PUT https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/{planId}/bid

Request body:

{
"payload": { "identifiers": { "phaseId": "55ed55ba-df2f-417f-974b-622ee6e059af" }, "status": "REJECTED" } }
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The following are required input field names, data types, description, and occurrences.

payload
object

Specifies an object to accept a load.

Headers
string
required

Specifies the consumer identifier.

This value is obtained from the development manager.

Example:

b30696d1-1806-489d-a519-6c38b35cc8d2

string
required

Indicates the authorized bearer token received from the authorization call.

Example:

asdsfsdf23...ljwh3o4823

string
required

Specifies the tracking ID for each request for logging purpose. Client to send new UUID for each request for logging.

Example:

UUID - 4402a449-0e67-49f8-bbb3-b2fc1c05f6b3

Responses
200

Successful operation. No response body from request.

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json